Subject: Re: bug#27157: Building Guile 2.2 "times out"

From: Mark H Weaver <[email-masked]>
Date: Fri, 02 Jun 2017 20:57:42 -0400

Ricardo Wurmus <[email-masked]> writes:

> Hi Maxim,
>
>> I'm not sure where this timeout value can be configured, but clearly it
>> shouldn't be 1 hour since 2 cores of an i5 intel class processor can't
>> manage to build it under 1 hour.
>
> for the guile-2.2 package I see that this is part of the package
> definition:
>
>     (properties '((timeout . 72000)               ;20 hours
>                   (max-silent-time . 10800)))     ;3 hours (needed on ARM)

I think we should further increase the 'max-silent-time' value for
Guile-2.2.  I've had to restart that build several times on ARM.  3
hours might be enough on a machine that's not doing anything else, but
our build slaves are often building multiple packages.

I would increase it to 6 hours.  What do you think?

       Mark